#version 150

#ifdef VERTEX_SHADER

in vec3 in_position;
in vec2 in_texcoord;

out vec2 texcoord;

void main() {
    gl_Position = vec4(in_position.xz * 2 - 1, 0.0, 1.0);
    texcoord = in_texcoord;
}

#endif

#ifdef FRAGMENT_SHADER

in vec2 texcoord;

out vec4 fragColor;

uniform sampler2D in_texture;

void main() {
    fragColor = texture(in_texture, texcoord);
}

#endif

