#version 150

#ifdef VERTEX_SHADER

in vec3 in_position;

uniform mat4 model;
uniform mat4 viewProjection;

void main() {
    gl_Position = viewProjection * (model * vec4(in_position.xzy, 1));
}

#endif

#ifdef FRAGMENT_SHADER

out vec4 fragColor;

uniform vec4 color;

void main() {
    fragColor = color;
}

#endif

