
@if not exist "C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" (
    @echo Visual Studio 2017 not found, exiting
    @exit /B
)

@call "C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" amd64

pushd %~dp0

@if not exist "build" mkdir build
cl /I src /I lib /D ETC_DEBUG /WX /Febuild\preprocessor.exe /Fobuild\preprocessor.obj /Zi /Fdbuild\preprocessor.pdb src\preprocessor\preprocessor.cpp /link /incremental:no

build\preprocessor.exe src generated

@set GAMEPDB_PATH=build/etcetera.pdb
cl /LD /I src /I generated /I lib /D ETC_DEBUG /WX /EHsc /Febuild\etcetera.dll /Fobuild\etcetera.obj /Zi /Fd%GAMEPDB_PATH% src\etcetera.cpp lib\glew32s.lib opengl32.lib /link /incremental:no /pdb:%GAMEPDB_PATH%

cl /I src /I generated /I lib /D ETC_DEBUG /D ETC_GAME /WX /EHsc /Febuild\breakout_win.exe /Fobuild\breakout_win.obj /Zi /Fdbuild\etcetera_win.pdb src\platform\windows.cpp user32.lib gdi32.lib ole32.lib lib\glew32s.lib opengl32.lib /link /incremental:no /pdb:build\breakout_win.pdb

@popd

