
#ifndef _ETC_TYPES_H
#define _ETC_TYPES_H

#ifdef _WIN32
#define DLLEXPORT __declspec(dllexport)
#elif __APPLE__
#define DLLEXPORT
#elif __linux__
#define DLLEXPORT
#endif

#include <stdint.h>
#include <float.h>
#include <inttypes.h>
#include <stddef.h>
#include <limits.h>

#ifdef __linux__
#define FLT_DECIMAL_DIG __FLT_DECIMAL_DIG__
#endif

typedef int8_t int8;
typedef int16_t int16;
typedef int32_t int32;
typedef int64_t int64;
typedef int32 bool32;

typedef uint8_t uint8;
typedef uint16_t uint16;
typedef uint32_t uint32;
typedef uint64_t uint64;

typedef intptr_t intptr;
typedef uintptr_t uintptr;

typedef float real32;
typedef double real64;

typedef int8 s8;
typedef int16 s16;
typedef int32 s32;
typedef int64 s64;
typedef bool32 b32;

typedef uint8 u8;
typedef uint16 u16;
typedef uint32 u32;
typedef uint64 u64;

typedef real32 r32;
typedef real64 r64;

typedef uint64 EntityID;

struct RGBA8 {
    uint8 r, g, b, a;
};

#endif

