
#ifndef _ETC_MATH_H
#define _ETC_MATH_H

#include <math.h>

#define _PI 3.14159265359f
#define _2PI 6.28318530718f
#define SQRT2 1.41421356237f

#include "etc_types.h"

#include "math/scalar.h"
#include "math/vector.h"
#include "math/quaternion.h"
#include "math/matrix.h"
#include "math/random.h"

#include "math/bezier.h"
#include "math/catmullrom.h"
#include "math/noise.h"

#include "math/geometry.h"
#include "math/color.h"

#endif

